;Sample POOL code, you may use it, modify it
;and distribute it under the GPL license.
;Authors: R&D Independent Team
;Source: www.pool-rnd.com

if not defined? "curve [include "curve.l]

;derived class: butterfly curve
to butterfly :c [:s 50]
  use curve :c
  to fn
    let "m exp :m
    let "n 10 * :m
    if :n > 1 ["n := 1]
    pu setxy 0 :s * (m_exp - 2) pd
    for [t 0 3600 :n] [
      if :stop [stop]
      let "f :s * ((exp cos :t) - 2 * (cos 4 * :t) - (sin :t/:m)^5)

      let "x :f * sin :t
      let "y :f * cos :t
      setxy :x :y
    ]
  end

  :param,"M := {1.5 -4 4 0.001}
end
