;Sample POOL code, you may use it, modify it
;and distribute it under the GPL license.
;Authors: R&D Independent Team
;Source: www.pool-rnd.com

if not defined? "curve [include "curve.l]

;derived class: Lissajous curve
to lissajous :c
  use curve :c
  to fn
    pu setxy 0 :s pd
    repeat 721 [
      if :stop [stop]
      let "x :s * sin :a * repcount / 2
      let "y :s * cos :b * repcount / 2
      setxy :x :y
    ]
  end

  ;try also continuous values of A i B
  ; - remove "step" parameter (the last one in arrays)
  :param,"A := {7 1 20 1}
  :param,"B := {9 1 20 1}
  :param,"S := {150 10 300 1}
end
